[OpenWrt-Devel] DEPENDS versus PKG_BUILD_DEPENDS?

Robert P. J. Day rpjday at crashcourse.ca
Thu Apr 10 15:15:02 CEST 2008


  undoubtedly a dumb question but this might help me debug why some
packages don't build for me.  if i'm looking at the Makefile for
qolyester, i see:

...
PKG_BUILD_DEPENDS:=libnotimpl
...
define Package/qolyester
  SECTION:=net
  CATEGORY:=Network
  DEPENDS:=+libpthread
  TITLE:=OLSR implementation with QoS
  URL:=http://qolsr.lri.fr/code/
endef
...

  regarding that "DEPENDS" directive, i'm going to assume that that
means that qolyester has an *installation* dependency of libpthread
(along the lines of what i'm used to as a "yum" installation
dependency).

  but when you list "PKG_BUILD_DEPENDS", does that mean that this
build depends on libnotimpl simply being *selected* for the build, or
does it mean that libnotimpl must have already been *built* before
this package can be built?  thanks.

rday
--

========================================================================
Robert P. J. Day
Linux Consulting, Training and Annoying Kernel Pedantry:
    Have classroom, will lecture.

http://crashcourse.ca                          Waterloo, Ontario, CANADA
========================================================================


More information about the openwrt-devel mailing list